python3: Update patch.
This commit is contained in:
@@ -1,6 +1,6 @@
|
||||
diff -urN a/configure.ac b/configure.ac
|
||||
--- a/configure.ac 2013-12-26 18:46:44.118375500 +0000
|
||||
+++ b/configure.ac 2013-12-26 18:46:49.216667100 +0000
|
||||
--- a/configure.ac 2013-12-27 16:50:19.310591300 +0000
|
||||
+++ b/configure.ac 2013-12-27 16:50:23.266817600 +0000
|
||||
@@ -968,6 +968,7 @@
|
||||
|
||||
# Other platforms follow
|
||||
@@ -37,8 +37,8 @@ diff -urN a/configure.ac b/configure.ac
|
||||
AC_OUTPUT
|
||||
|
||||
diff -urN a/Makefile.pre.in b/Makefile.pre.in
|
||||
--- a/Makefile.pre.in 2013-12-26 18:46:45.361446600 +0000
|
||||
+++ b/Makefile.pre.in 2013-12-26 18:46:49.218667200 +0000
|
||||
--- a/Makefile.pre.in 2013-12-27 16:50:20.271646300 +0000
|
||||
+++ b/Makefile.pre.in 2013-12-27 16:50:23.268817700 +0000
|
||||
@@ -1176,6 +1176,8 @@
|
||||
# Substitution happens here, as the completely-expanded BINDIR
|
||||
# is not available in configure
|
||||
@@ -58,8 +58,8 @@ diff -urN a/Makefile.pre.in b/Makefile.pre.in
|
||||
"`echo $(MACHDEP) | sed 's/^\(...\).*/\1/'`" = "aix" ]; then \
|
||||
diff -urN a/Misc/python-config.sh.in b/Misc/python-config.sh.in
|
||||
--- a/Misc/python-config.sh.in 1970-01-01 01:00:00.000000000 +0100
|
||||
+++ b/Misc/python-config.sh.in 2013-12-26 18:46:49.221667400 +0000
|
||||
@@ -0,0 +1,106 @@
|
||||
+++ b/Misc/python-config.sh.in 2013-12-27 16:58:41.425310600 +0000
|
||||
@@ -0,0 +1,120 @@
|
||||
+#!/bin/sh
|
||||
+
|
||||
+exit_with_usage ()
|
||||
@@ -68,6 +68,16 @@ diff -urN a/Misc/python-config.sh.in b/Misc/python-config.sh.in
|
||||
+ exit 1
|
||||
+}
|
||||
+
|
||||
+# Really, python-config.py (and thus .sh) should be called directly, but
|
||||
+# sometimes software (e.g. GDB) calls python-config.sh as if it were the
|
||||
+# Python executable, passing python-config.py as the first argument.
|
||||
+# Work around that oddness by ignoring any .py passed as first arg.
|
||||
+case "$1" in
|
||||
+ *.py)
|
||||
+ shift
|
||||
+ ;;
|
||||
+esac
|
||||
+
|
||||
+if [ "$1" = "" ] ; then
|
||||
+ exit_with_usage
|
||||
+fi
|
||||
@@ -97,6 +107,10 @@ diff -urN a/Misc/python-config.sh.in b/Misc/python-config.sh.in
|
||||
+LIBC="@LIBC@"
|
||||
+SYSLIBS="$LIBM $LIBC"
|
||||
+ABIFLAGS="@ABIFLAGS@"
|
||||
+# Protect against lack of substitution.
|
||||
+if [ "$ABIFLAGS" = "@""ABIFLAGS""@" ] ; then
|
||||
+ ABIFLAGS=
|
||||
+fi
|
||||
+LIBS="@LIBS@ $SYSLIBS -lpython${VERSION}${ABIFLAGS}"
|
||||
+BASECFLAGS="@BASECFLAGS@"
|
||||
+LDLIBRARY="@LDLIBRARY@"
|
||||
|
||||
Reference in New Issue
Block a user